Results 1 to 7 of 7

Thread: Mixxx outdated - compiling manually

  1. #1
    Join Date
    Jun 2008
    Location
    Korneuburg, Austria
    Posts
    177

    Default Mixxx outdated - compiling manually

    Hi guys,

    I've seen that Mixxx in Packman is really outdated (1.7.2 when 1.9.2 is available). Can anyone help me please compiling Mixxx from scratch?

    I have following problems:
    porttime not found
    and libflac-devel not found
    Code:
    scons: Reading SConscript files ...
    INFO:root:Target Platform: linux
    INFO:root:Target Machine: x86_64
    INFO:root:Build: debug
    INFO:root:Toolchain: gnu
    INFO:root:Crosscompile: NO
    INFO:root:Qt path: /usr/share/qt4
    Loading qt4 tool...
    sh: bzr: command not found
    sh: bzr: command not found
    sh: bzr: command not found
    Configuring MixxxCore
    Checking for pkg-config (at least version 0.15.0)... yes
    Configuring SoundTouch
    Configuring KissFFT
    Configuring ReplayGain
    Configuring PortAudio
    Checking for C library portaudio... yes
    Configuring PortMIDI
    Checking for C library porttime... no
    Checking for C library libporttime... no
    Checking for C header file porttime.h... no
    ERROR:root:Unmet dependency: Did not find PortTime or its development headers.
    Configuring Qt
    Checking for QtCore (4.3 or higher)...  yes
    Configuring FidLib
    Configuring SndFile
    Checking for C library sndfile... yes
    Configuring FLAC
    Checking for C header file FLAC/stream_decoder.h... no
    ERROR:root:Unmet dependency: Did not find libFLAC development headers, exiting!
    Configuring OggVorbis
    Checking for C library libvorbisfile... yes
    Checking for C library libvorbis... yes
    Checking for C library libogg... yes
    Configuring OpenGL
    Checking for C library GL... yes
    Checking for C library GLU... yes
    Configuring TagLib
    Checking for C library tag... yes
    Configuring HifiEq
    Configuring MIDIScript
    Configuring Mad
    Checking for C library libmad... yes
    Checking for C library libid3tag... yes
    Configuring CoreAudio
    Configuring HSS1394
    Configuring VinylControl
    Configuring Shoutcast
    Checking for C library libshout... yes
    Checking for C library vorbisenc... yes
    Configuring Profiling
    Configuring Tuned
    Configuring QDebug
    Configuring Optimize
    Configuring FAAD
    Configuring WavPack
    Configuring TestSuite
    Configuring LADSPA
    Configuring MSVCDebug
    Configuring MSVSHacks
    Configuring AsmLib
    Configuring Tonal
    Configuring IPod
    Configuring ScriptStudio
    Configuring CMetrics
    Configuring FFMPEG
    ERROR:root:Build had unmet dependencies. Exiting.
    Does anyone know where to get these missing files?

  2. #2
    Join Date
    Jun 2008
    Location
    Korneuburg, Austria
    Posts
    177

    Default Re: Mixxx outdated - compiling manually

    No Packman maintainers here?

  3. #3
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Mixxx outdated - compiling manually

    Am 17.12.2011 16:56, schrieb Strahlex:
    >
    > No Packman maintainers here?
    >
    >

    Of course not you find them here packman@links2linux.de

    If I were you I would install the build dependencies for 1.7.2 and check
    again by running configure if something is missing for the newer version
    Code:
    sudo zypper si -d mixx # installs only the build dependencies
    --
    PC: oS 11.4 (dual boot 12.1) 64 bit | Intel Core i7-2600@3.40GHz | KDE
    4.6.0 | GeForce GT 420 | 16GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.7.4 |
    nVidia ION | 3GB Ram

  4. #4
    Join Date
    Jun 2008
    Location
    Korneuburg, Austria
    Posts
    177

    Default Re: Mixxx outdated - compiling manually

    Thanks for your reply, but still some dependencies are missing.

  5. #5
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Mixxx outdated - compiling manually

    Am 18.12.2011 15:46, schrieb Strahlex:
    >
    > Thanks for your reply, but still some dependencies are missing.
    >

    Can you be a bit more specific it is impossible to help without details.


    --
    PC: oS 11.4 (dual boot 12.1) 64 bit | Intel Core i7-2600@3.40GHz | KDE
    4.6.0 | GeForce GT 420 | 16GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.7.4 |
    nVidia ION | 3GB Ram

  6. #6
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Mixxx outdated - compiling manually

    On 12/18/2011 03:46 PM, Strahlex wrote:
    > some dependencies are missing


    use YaST Software Manager or zypper to install them..

    or search for, and install them from here
    http://software.opensuse.org/search

    --
    DD http://tinyurl.com/DD-Caveat
    openSUSE®, the "German Engineered Automobiles" of operating systems!

  7. #7
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Mixxx outdated - compiling manually

    Am 18.12.2011 15:53, schrieb Martin Helm:
    > Am 18.12.2011 15:46, schrieb Strahlex:
    >>
    >> Thanks for your reply, but still some dependencies are missing.
    >>

    > Can you be a bit more specific it is impossible to help without details.
    >
    >

    Code:
    sudo zypper si -d mixxx
    sudo zypper in libtag-devel flac-devel portmidi-devel
    installed all dependencies for me for mixxx 1.92 and running scons succeeds.

    --
    PC: oS 11.4 (dual boot 12.1) 64 bit | Intel Core i7-2600@3.40GHz | KDE
    4.6.0 | GeForce GT 420 | 16GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.7.4 |
    nVidia ION | 3GB Ram

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •